package net.jieyuu.service;

import net.jieyuu.model.AddressDO;
import com.baomidou.mybatisplus.extension.service.IService;
import net.jieyuu.request.AddressAddRequest;
import net.jieyuu.vo.AddressVO;

import java.util.List;

/**
 * <p>
 * 电商-公司收发货地址表 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-02-12
 */
public interface AddressService extends IService<AddressDO> {

    /**
     * 查找详情
     *
     * @param id
     * @return
     */
    public AddressVO detail(Long id);


    /**
     * 新增收货地址
     *
     * @param addressAddRequest
     */
    void add(AddressAddRequest addressAddRequest);


    /**
     * 根据id删除地址
     * @param addressId
     * @return
     */
    int del(long addressId);

    /**
     * 查找用户全部收货地址
     * @return
     */
    List<AddressVO> listUserAllAddress();
}
